<?php
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');
	if ( post_password_required() ) { ?>
		<p class="nocomments">This post is password protected. Enter the password to view comments.</p>
	<?php
		return;
	}
?>
<!-- You can start editing here. -->
<section id="comments">
<?php if ( have_comments() ) : ?>
<h2 class="comments"><?php comments_number('No Comments', '1 Comment', '% Comments' );?> <?php the_title(); ?></h2>
<section class="clear"></section>
<ul class="commentlist clearfix">
<?php wp_list_comments('callback=mytheme_comment'); ?>
</ul>
<section class="navigation">
<section class="alignleft"><?php previous_comments_link() ?></section>
<section class="alignright"><?php next_comments_link() ?></section>
</section>
 <?php else : // this is displayed if there are no comments so far ?>
<?php if ('open' == $post->comment_status) : ?>
<!-- If comments are open, but there are no comments. -->
<?php else : // comments are closed ?>
<!-- If comments are closed. -->
<p class="nocomments">Comments are closed.</p>
<?php endif; ?>
<?php endif; ?>
</section>

<?php if ( comments_open() ) : ?>
<section id="comment-form">
<section id="respond">
<section class="cancel-comment-reply">
	<small><?php cancel_comment_reply_link(); ?></small>
</section>
<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
<p>You must be <a href="<?php echo wp_login_url( get_permalink() ); ?>">logged in</a> to post a comment.</p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
<?php if ( is_user_logged_in() ) : ?>
<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account">Log out &raquo;</a></p>
<?php else : ?>
<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" class="input name-icon" />
<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" class="input email-icon" />
<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" class="input web-icon no-margin" />
<?php endif; ?>
<textarea name="comment" cols="98%" id="comment" rows="9" tabindex="4"></textarea>
 <section class="submit-wrap">
 <input type="submit" value="Submit" tabindex="5" id="comment-submit" name="submit" />
<?php comment_id_fields(); ?>
<?php do_action('comment_form', $post->ID); ?>
 </section>
</form>
<?php endif; // If registration required and not logged in ?>
</section>
</section>
<?php endif; // if you delete this the sky will fall on your head ?>