<?php
/*
Template Name: Contact
*/
?>

<?php get_header(); ?>
<!-- begin content -->
<section id="content" class="clearfix">
<!-- end box about -->
<!-- begin post_area -->
<section id="post_area">
<section class="full_width"> 
<article class="single_page">
<h1>Contact Us</h1>
<p><?php echo get_option(best_theme_email_text) ?> </p>
<p id="success" class="box_green" style="display:none;">Your email has been sent! Thank you!</p>
<p id="bademail" class="box_yellow" style="display:none;">Please enter your name and a valid email address.</p>
<p id="badserver" class="box_yellow" style="display:none;">Your email failed. Try again later.</p>
<form id="contact" action="<?php bloginfo('template_url'); ?>/sendmail.php" method="post">
<label for="name">Your name: *</label>
<input type="text" id="nameinput" name="name" value=""/>
<label for="email">Your email: *</label>
<input type="text" id="emailinput" name="email" value=""/>
<label for="comment">Your message: *</label>
<textarea cols="20" rows="7" id="commentinput" name="comment"></textarea><br />
<input type="submit" id="submitinput" class="submit" value="Send &raquo;"/>
<input type="hidden" id="receiver" name="receiver" value="<?php echo get_option(best_theme_email) ?>"/>
</form>
</article></section>
</section>
<!-- end post_area -->

<!-- begin sidebar_container -->
<section id="sidebar_container">	
<?php get_sidebar(); ?>	
</section>
<!-- end sidebar_container -->
</section>



<?php get_footer(); ?>





